Package org.apache.solr.common.params

# Enum Class CollectionParams.CollectionAction

java.lang.Object
java.lang.Enum<CollectionParams.CollectionAction>
org.apache.solr.common.params.CollectionParams.CollectionAction

All Implemented Interfaces:
  `Serializable`, `Comparable<CollectionParams.CollectionAction>`, `java.lang.constant.Constable`

Enclosing interface:
  `CollectionParams`

public static enum CollectionParams.CollectionAction extends Enum<CollectionParams.CollectionAction>
(Mostly) Collection API actions that can be sent by nodes to the Overseer over the `/overseer/collection-queue-work` ZooKeeper queue.

Some of these actions are also used over the cluster state update queue at `/overseer/queue` and have a different (though related) meaning there. These actions are: `CREATE`, `DELETE`, `CREATESHARD`, `DELETESHARD`, `ADDREPLICA`, `ADDREPLICAPROP`, `DELETEREPLICAPROP`, `BALANCESHARDUNIQUE` and `MODIFYCOLLECTION`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDREPLICA`
`ADDREPLICAPROP`
`ADDROLE`
`ALIASPROP`
`BACKUP`
`BALANCE_REPLICAS`
`BALANCESHARDUNIQUE`
`CLUSTERPROP`
`CLUSTERSTATUS`
`COLLECTIONPROP`
`COLSTATUS`
`CREATE`
`CREATEALIAS`
`CREATESHARD`
`CREATESNAPSHOT`
`DELETE`
`DELETEALIAS`
`DELETEBACKUP`
`DELETENODE`
`DELETEREPLICA`
`DELETEREPLICAPROP`
`DELETEROUTEDALIASCOLLECTIONS`
`DELETESHARD`
`DELETESNAPSHOT`
`DELETESTATUS`
`DISTRIBUTEDAPIPROCESSING`
`FORCELEADER`
`INSTALLSHARDDATA`
`LIST`
`LISTALIASES`
`LISTBACKUP`
`LISTSNAPSHOTS`
`MAINTAINROUTEDALIAS`
`MERGESHARDS`
`MIGRATE`
`MIGRATE_REPLICAS`
`MOCK_COLL_TASK`
`MOCK_REPLICA_TASK`
`MOCK_SHARD_TASK`
`MODIFYCOLLECTION`
`MOVEREPLICA`
`NONE`
`OVERSEERSTATUS`
`REBALANCELEADERS`
`REINDEXCOLLECTION`
`RELOAD`
`REMOVEROLE`
`RENAME`
`REPLACENODE`
`REQUESTSTATUS`
`RESTORE`
`SPLITSHARD`
`SYNCSHARD`

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`isWrite`
`final CollectionParams.LockLevel`
`lockLevel`
`final String`
`lowerName`

## Method Summary

Modifier and Type
Method
Description
`static CollectionParams.CollectionAction`
`get(String p)`
`boolean`
`isEqual(String s)`
`String`
`toLower()`
`static CollectionParams.CollectionAction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CollectionParams.CollectionAction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CREATE

public static final CollectionParams.CollectionAction CREATE

### DELETE

public static final CollectionParams.CollectionAction DELETE

### RELOAD

public static final CollectionParams.CollectionAction RELOAD

### SYNCSHARD

public static final CollectionParams.CollectionAction SYNCSHARD

### CREATEALIAS

public static final CollectionParams.CollectionAction CREATEALIAS

### DELETEALIAS

public static final CollectionParams.CollectionAction DELETEALIAS

### ALIASPROP

public static final CollectionParams.CollectionAction ALIASPROP

### LISTALIASES

public static final CollectionParams.CollectionAction LISTALIASES

### MAINTAINROUTEDALIAS

public static final CollectionParams.CollectionAction MAINTAINROUTEDALIAS

### DELETEROUTEDALIASCOLLECTIONS

public static final CollectionParams.CollectionAction DELETEROUTEDALIASCOLLECTIONS

### SPLITSHARD

public static final CollectionParams.CollectionAction SPLITSHARD

### DELETESHARD

public static final CollectionParams.CollectionAction DELETESHARD

### CREATESHARD

public static final CollectionParams.CollectionAction CREATESHARD

### DELETEREPLICA

public static final CollectionParams.CollectionAction DELETEREPLICA

### FORCELEADER

public static final CollectionParams.CollectionAction FORCELEADER

### MIGRATE

public static final CollectionParams.CollectionAction MIGRATE

### ADDROLE

public static final CollectionParams.CollectionAction ADDROLE

### REMOVEROLE

public static final CollectionParams.CollectionAction REMOVEROLE

### CLUSTERPROP

public static final CollectionParams.CollectionAction CLUSTERPROP

### COLLECTIONPROP

public static final CollectionParams.CollectionAction COLLECTIONPROP

### REQUESTSTATUS

public static final CollectionParams.CollectionAction REQUESTSTATUS

### DELETESTATUS

public static final CollectionParams.CollectionAction DELETESTATUS

### ADDREPLICA

public static final CollectionParams.CollectionAction ADDREPLICA

### MOVEREPLICA

public static final CollectionParams.CollectionAction MOVEREPLICA

### OVERSEERSTATUS

public static final CollectionParams.CollectionAction OVERSEERSTATUS

### DISTRIBUTEDAPIPROCESSING

public static final CollectionParams.CollectionAction DISTRIBUTEDAPIPROCESSING

### LIST

public static final CollectionParams.CollectionAction LIST

### CLUSTERSTATUS

public static final CollectionParams.CollectionAction CLUSTERSTATUS

### ADDREPLICAPROP

public static final CollectionParams.CollectionAction ADDREPLICAPROP

### DELETEREPLICAPROP

public static final CollectionParams.CollectionAction DELETEREPLICAPROP

### BALANCESHARDUNIQUE

public static final CollectionParams.CollectionAction BALANCESHARDUNIQUE

### REBALANCELEADERS

public static final CollectionParams.CollectionAction REBALANCELEADERS

### MODIFYCOLLECTION

public static final CollectionParams.CollectionAction MODIFYCOLLECTION

### BACKUP

public static final CollectionParams.CollectionAction BACKUP

### RESTORE

public static final CollectionParams.CollectionAction RESTORE

### INSTALLSHARDDATA

public static final CollectionParams.CollectionAction INSTALLSHARDDATA

### LISTBACKUP

public static final CollectionParams.CollectionAction LISTBACKUP

### DELETEBACKUP

public static final CollectionParams.CollectionAction DELETEBACKUP

### CREATESNAPSHOT

public static final CollectionParams.CollectionAction CREATESNAPSHOT

### DELETESNAPSHOT

public static final CollectionParams.CollectionAction DELETESNAPSHOT

### LISTSNAPSHOTS

public static final CollectionParams.CollectionAction LISTSNAPSHOTS

### MOCK_COLL_TASK

public static final CollectionParams.CollectionAction MOCK_COLL_TASK

### MOCK_SHARD_TASK

public static final CollectionParams.CollectionAction MOCK_SHARD_TASK

### REPLACENODE

public static final CollectionParams.CollectionAction REPLACENODE

### MIGRATE_REPLICAS

public static final CollectionParams.CollectionAction MIGRATE_REPLICAS

### BALANCE_REPLICAS

public static final CollectionParams.CollectionAction BALANCE_REPLICAS

### DELETENODE

public static final CollectionParams.CollectionAction DELETENODE

### MOCK_REPLICA_TASK

public static final CollectionParams.CollectionAction MOCK_REPLICA_TASK

### NONE

public static final CollectionParams.CollectionAction NONE

### MERGESHARDS

public static final CollectionParams.CollectionAction MERGESHARDS

### COLSTATUS

public static final CollectionParams.CollectionAction COLSTATUS

### REINDEXCOLLECTION

public static final CollectionParams.CollectionAction REINDEXCOLLECTION

### RENAME

public static final CollectionParams.CollectionAction RENAME

## Field Details

### isWrite

public final boolean isWrite

### lowerName

public final String lowerName

### lockLevel

public final CollectionParams.LockLevel lockLevel

## Method Details

### values

public static CollectionParams.CollectionAction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CollectionParams.CollectionAction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static CollectionParams.CollectionAction get(String p)

### isEqual

public boolean isEqual(String s)

### toLower

public String toLower()